package com.pqs9900.service.DataInfo;

import java.util.Date;
import java.util.List;

import com.pqs9900.pojo.DataInfo.AlarmInfo;

/** @Author denghuajun
 * @Description //TODO 告警信息service
 * @Date  2019/3/15 13:41
 **/
public interface AlarmInfoService {
	void alarmTip(String alarmIndex);

	void alarmForSeverity(String alarmIndex);

	List<AlarmInfo> getAlarmInfo(Date startTime,Date endTime,String state,String type,Integer alarmLevel,Integer lineGrade);

	List<AlarmInfo> getAlarmInfoDetail(String state,String type,Integer typeIndex,Integer devLineType,String processTime);

	List<AlarmInfo> unAlarmInfo();

	void updateAlarmInfo(String type,Integer typeIndex,Integer devLineType);
}
